Processing - Tooltip should display the algorithm description from help

2014-03-25 02:14 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GUI

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 18396

Description

Currently the tooltip only duplicates the tool name. It could show the algorithm description from help instead.

History

#1 - 2014-03-25 07:51 AM - Alexander Bruy

Maybe algorithm name used because in most cases description is not available? I would suggest to show description if possible, with algorithm name as

fallback option

#2 - 2014-03-25 11:12 AM - Alex Mandel

- Project changed from QGIS Application to 78

- Category deleted (94)

#3 - 2014-03-26 07:22 AM - Alexander Bruy

- Category set to 68

#4 - 2014-10-04 12:12 PM - Giovanni Manghi

- Project changed from 78 to QGIS Application

- Category deleted (68)

#5 - 2014-10-04 12:12 PM - Giovanni Manghi

- Category set to Processing/GUI

#6 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2018-06-01 08:17 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in 3.2, so long as algorithms implement the 'shortDescription' method (currently only GRASS algorithms do).
